<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.songoda</groupId>
	<artifactId>skyblock</artifactId>
	<version>2.3.4-DEV2</version>
	<packaging>jar</packaging>
	<properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
	</properties>
	<build>
		<defaultGoal>clean install</defaultGoal>
		<finalName>FabledSkyblock-${project.version}</finalName>
		<resources>
			<resource>
				<directory>src/main/resources</directory>
				<filtering>true</filtering>
			</resource>
		</resources>
		<plugins>
			<plugin>
				<groupId>com.google.code.maven-replacer-plugin</groupId>
				<artifactId>replacer</artifactId>
				<version>1.5.3</version>
				<executions>
					<execution>
						<phase>prepare-package</phase>
						<goals>
							<goal>replace</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<file>${project.build.directory}/classes/plugin.yml</file>
					<replacements>
						<replacement>
							<token>maven-version-number</token>
							<value>${project.version}</value>
						</replacement>
					</replacements>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.8.1</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-shade-plugin</artifactId>
				<version>3.1.0</version>
				<executions>
					<execution>
						<id>shaded</id>
						<phase>package</phase>
						<goals>
							<goal>shade</goal>
						</goals>
						<configuration>
							<dependencyReducedPomLocation>${project.build.directory}/dependency-reduced-pom.xml</dependencyReducedPomLocation>
							<shadedArtifactAttached>false</shadedArtifactAttached>
							<createDependencyReducedPom>false</createDependencyReducedPom>
							<minimizeJar>true</minimizeJar>
							<artifactSet>
								<includes>
									<include>com.songoda:SongodaCore</include>
									<include>io.papermc:paperlib</include>
								</includes>
							</artifactSet>
							<filters>
								<filter>
									<artifact>*:*</artifact>
									<excludes>
										<exclude>META-INF/*.SF</exclude>
										<exclude>META-INF/*.DSA</exclude>
										<exclude>META-INF/*.RSA</exclude>
									</excludes>
								</filter>
							</filters>
							<relocations>
								<relocation>
									<pattern>com.songoda.core</pattern>
									<shadedPattern>${project.groupId}.skyblock.core</shadedPattern>
								</relocation>
								<relocation>
									<pattern>io.papermc.lib</pattern>
									<shadedPattern>${project.groupId}.paperlib</shadedPattern>
								</relocation>
							</relocations>
						</configuration>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
	<repositories>
		<repository>
			<id>mvdw-software</id>
			<name>MVdW Public Repositories</name>
			<url>http://repo.mvdw-software.be/content/groups/public/</url>
		</repository>
		<repository>
			<id>spigot-repo</id>
			<url>https://hub.spigotmc.org/nexus/content/repositories/snapshots/</url>
		</repository>
		<repository>
			<id>papermc</id>
			<url>https://papermc.io/repo/repository/maven-public/</url>
		</repository>
		<repository>
			<id>minecraft-repo</id>
			<url>https://libraries.minecraft.net/</url>
		</repository>
		<repository>
			<id>placeholderapi</id>
			<url>http://repo.extendedclip.com/content/repositories/placeholderapi/</url>
		</repository>
		<repository>
			<id>jitpack.io</id>
			<url>https://jitpack.io</url>
		</repository>
		<repository>
			<id>reserve-repo</id>
			<url>https://dl.bintray.com/theneweconomy/java/</url>
		</repository>
		<repository>
			<id>sonatype</id>
			<url>https://oss.sonatype.org/content/repositories/snapshots/</url>
		</repository>
		<repository>
			<id>public</id>
			<url>http://repo.songoda.com/artifactory/public/</url>
		</repository>
	</repositories>
	<dependencies>
		<dependency>
			<groupId>io.papermc</groupId>
			<artifactId>paperlib</artifactId>
			<version>1.0.3</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>com.destroystokyo.papermc</groupId>
			<artifactId>paper</artifactId>
			<version>1.15.2</version>
			<scope>provided</scope>
			<exclusions>
				<exclusion>
					<groupId>io.papermc</groupId>
					<artifactId>paperlib</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.spigotmc</groupId>
			<artifactId>spigot</artifactId>
			<version>1.15</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.github.MilkBowl</groupId>
			<artifactId>VaultAPI</artifactId>
			<version>1.7</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.songoda</groupId>
			<artifactId>ultimatestacker</artifactId>
			<version>1.3.1</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>be.maximvdw</groupId>
			<artifactId>MVdWPlaceholderAPI</artifactId>
			<version>2.1.1-SNAPSHOT</version>
			<exclusions>
				<exclusion>
					<groupId>org.spigotmc</groupId>
					<artifactId>spigot</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>me.clip</groupId>
			<artifactId>placeholderapi</artifactId>
			<version>2.9.2</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>me.robin</groupId>
			<artifactId>LeaderHeadsAPI</artifactId>
			<version>1.0</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.songoda</groupId>
			<artifactId>epicspawners</artifactId>
			<version>6-pre4</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.songoda</groupId>
			<artifactId>EpicAnchors</artifactId>
			<version>1.4.2</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.sk89q</groupId>
			<artifactId>worldedit-bukkit</artifactId>
			<version>7.1.0</version>
		</dependency>
		<dependency>
			<groupId>com.songoda</groupId>
			<artifactId>SongodaCore</artifactId>
			<version>LATEST</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>com.Zrips</groupId>
			<artifactId>Residence</artifactId>
			<scope>provided</scope>
			<version>4.9.0.6</version>
		</dependency>
		<dependency>
			<groupId>net</groupId>
			<artifactId>coreprotect</artifactId>
			<scope>provided</scope>
			<version>2.18.2</version>
		</dependency>
	</dependencies>
</project>
